#include <iostream>
#include <cmath>
#include <algorithm>
#include <string>
using namespace std;
int main()
{
    long long int n,i = 1,rezultat = 0;
    cin >> n;
    long long int nizJelo[n],nizRecept[n],nizScenario[n];
    while(i <= n)
    {
        cin >> nizJelo[i];
        i++;
    }
    i = 1;
    while(i <= n)
    {
        cin >> nizRecept[i];
        i++;
    }
    i = 1;
    while(i <= n)
    {
        cin >> nizScenario[i];
        i++;
    }
    i = 1;
    long long int j = 1, z = 1;
    while(i <= n){
        while(j <= n){
        if(nizJelo[i] == nizRecept[j]){
            while(z <= n){
                if(j == nizScenario[z]){
                    rezultat++;
                }
                z++;
            }
        }
        z = 1;
        j++;
        }
        j = 1;
        z = 1;
        i++;
    }

    cout << rezultat << endl;
    return 0;
}